# Class SimpleLinkListener

java.lang.Object
jam.html.SimpleLinkListener

All Implemented Interfaces:
  `EventListener, HyperlinkListener`

public class SimpleLinkListener extends Object implements HyperlinkListener
iSeek prototype. Codename seekquence. This class listens to Hyperlink Events, and opens the url in a browser window. Open a browser from a Java application on Windows, Unix, or Macintosh. see http://ostermiller.org/utils/Browser.html for more information

Version:
  $Id: SimpleLinkListener.java 844 2007-11-21 23:17:11Z twobeers $ Date: 26/01/2005 Time: 11:54:50
Author:
  Nasser Giacaman

## Constructor Summary

Constructors
Constructor
Description
`SimpleLinkListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`hyperlinkUpdate(HyperlinkEvent he)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleLinkListener

public SimpleLinkListener()

## Method Details

### hyperlinkUpdate

public void hyperlinkUpdate(HyperlinkEvent he)

Specified by:
  `hyperlinkUpdate` in interface `HyperlinkListener`